package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;
import java.math.BigDecimal;

/**
 * 月度场站维修项目工单对象 gxt_month_repair_project
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public class GxtMonthRepairProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 月度统计表ID */
    private Long monthScoreId;

    /** 场站ID */
    private Long deptId;

    /** 场站名称 */
    private String deptName;

    /** 检修项目类型 */
    private String maintenanceType;

    /** 工单数量 */
    private Integer orderCount;

    /** 项目分值 */
    private BigDecimal projectScore;

    /** 计算得分(工单数量×分值) */
    private BigDecimal calculatedScore;

    /** 统计月份 */
    private String monthPeriod;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMonthScoreId(Long monthScoreId) 
    {
        this.monthScoreId = monthScoreId;
    }

    public Long getMonthScoreId() 
    {
        return monthScoreId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }

    public String getMaintenanceType() {
        return maintenanceType;
    }

    public void setMaintenanceType(String maintenanceType) {
        this.maintenanceType = maintenanceType;
    }

    public void setOrderCount(Integer orderCount)
    {
        this.orderCount = orderCount;
    }

    public Integer getOrderCount() 
    {
        return orderCount;
    }
    public void setProjectScore(BigDecimal projectScore) 
    {
        this.projectScore = projectScore;
    }

    public BigDecimal getProjectScore() 
    {
        return projectScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
}